Iot Security Solution - Update
使用此方法來更新現有的IoT安全性解決方案標籤或使用者定義資源。 若要更新其他欄位,請使用 CreateOrUpdate 方法。
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Security/iotSecuritySolutions/{solutionName}?api-version=2019-08-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._\(\)]+$ |
用戶訂用帳戶內的資源組名。 名稱不區分大小寫。 |
|
solution
|
path | True |
string |
IoT 安全性解決方案的名稱。 |
|
subscription
|
path | True |
string pattern: ^[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}$ |
Azure 訂用帳戶標識碼 |
|
api-version
|
query | True |
string |
作業的 API 版本 |
要求本文
| 名稱 | 類型 | Description |
|---|---|---|
| properties.recommendationsConfiguration |
每個建議類型的組態狀態清單。 |
|
| properties.userDefinedResources |
IoT 安全性解決方案使用者定義資源的屬性。 |
|
| tags |
object |
資源標籤 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
更新 |
|
| Other Status Codes |
描述作業失敗原因的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
Use this method to update existing IoT Security solution
範例要求
PATCH https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/myRg/providers/Microsoft.Security/iotSecuritySolutions/default?api-version=2019-08-01
{
"tags": {
"foo": "bar"
},
"properties": {
"userDefinedResources": {
"query": "where type != \"microsoft.devices/iothubs\" | where name contains \"v2\"",
"querySubscriptions": [
"075423e9-7d33-4166-8bdf-3920b04e3735"
]
},
"recommendationsConfiguration": [
{
"recommendationType": "IoT_OpenPorts",
"status": "Disabled"
},
{
"recommendationType": "IoT_SharedCredentials",
"status": "Disabled"
}
]
}
}
範例回覆
{
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/MyGroup/providers/Microsoft.Security/Locations/eastus/IoTSecuritySolutions/default",
"name": "default",
"type": "Microsoft.Security/IoTSecuritySolutions",
"location": "East Us",
"tags": {
"foo": "bar"
},
"properties": {
"workspace": "/subscriptions/c4930e90-cd72-4aa5-93e9-2d081d129569/resourceGroups/myRg/providers/Microsoft.OperationalInsights/workspaces/myWorkspace1",
"status": "Enabled",
"export": [
"RawEvents"
],
"disabledDataSources": [],
"displayName": "Solution Default",
"iotHubs": [
"/subscriptions/075423e9-7d33-4166-8bdf-3920b04e3735/resourceGroups/myRg/providers/Microsoft.Devices/IotHubs/FirstIotHub"
],
"userDefinedResources": {
"query": "where type != \"microsoft.devices/iothubs\" | where name contains \"v2\"",
"querySubscriptions": [
"075423e9-7d33-4166-8bdf-3920b04e3735"
]
},
"autoDiscoveredResources": [
"/subscriptions/075423e9-7d33-4166-8bdf-3920b04e3735",
"/subscriptions/075423e9-7d33-4166-8bdf-3920b04e3735/resourceGroups/myRg/providers/Microsoft.Devices/IotHubs/FirstIotHub"
],
"recommendationsConfiguration": [
{
"recommendationType": "IoT_ACRAuthentication",
"name": "Service Principal Not Used with ACR",
"status": "Enabled"
},
{
"recommendationType": "IoT_AgentSendsUnutilizedMessages",
"name": "Agent sending underutilized messages",
"status": "TurnedOn"
},
{
"recommendationType": "IoT_Baseline",
"name": "Operating system (OS) baseline validation failure",
"status": "Enabled"
},
{
"recommendationType": "IoT_EdgeHubMemOptimize",
"name": "Edge Hub memory can be optimized",
"status": "Enabled"
},
{
"recommendationType": "IoT_EdgeLoggingOptions",
"name": "No Logging Configured for Edge Module",
"status": "Enabled"
},
{
"recommendationType": "IoT_InconsistentModuleSettings",
"name": "Module Settings Inconsistent in SecurityGroup",
"status": "Enabled"
},
{
"recommendationType": "IoT_InstallAgent",
"name": "Install the Azure Security of Things Agent",
"status": "Enabled"
},
{
"recommendationType": "IoT_IPFilter_DenyAll",
"name": "Default IP Filter Policy should be Deny",
"status": "Enabled"
},
{
"recommendationType": "IoT_IPFilter_PermissiveRule",
"name": "IP Filter rule includes large IP range",
"status": "Enabled"
},
{
"recommendationType": "IoT_OpenPorts",
"name": "Open Ports On Device",
"status": "Disabled"
},
{
"recommendationType": "IoT_PermissiveFirewallPolicy",
"name": "Permissive firewall policy in one of the chains was found",
"status": "Enabled"
},
{
"recommendationType": "IoT_PermissiveInputFirewallRules",
"name": "Permissive firewall rule in the input chain was found",
"status": "Enabled"
},
{
"recommendationType": "IoT_PermissiveOutputFirewallRules",
"name": "Permissive firewall rule in the output chain was found",
"status": "Enabled"
},
{
"recommendationType": "IoT_PrivilegedDockerOptions",
"name": "High level permissions configured in Edge model twin for Edge module",
"status": "Enabled"
},
{
"recommendationType": "IoT_SharedCredentials",
"name": "Same Authentication Credentials used by multiple devices",
"status": "Disabled"
},
{
"recommendationType": "IoT_VulnerableTLSCipherSuite",
"name": "TLS cipher suite upgrade",
"status": "Enabled"
}
],
"unmaskedIpLoggingStatus": "Enabled"
},
"systemData": {
"createdBy": "string",
"createdByType": "User",
"createdAt": "2020-04-27T21:53:29.0928001Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-04-27T21:53:29.0928001Z"
}
}
定義
| 名稱 | Description |
|---|---|
|
Additional |
傳送至工作區的數據類型清單 |
|
Additional |
其他工作區的屬性。 |
|
Additional |
工作區類型。 |
|
Cloud |
所有 Azure Resource Manager API 的常見錯誤回應,以傳回失敗作業的錯誤詳細數據。 (這也遵循 OData 錯誤回應格式。)。 |
|
Cloud |
錯誤詳細數據。 |
|
created |
建立資源的身分識別類型。 |
|
Data |
停用的數據源。 停用這些數據源會危害系統。 |
|
Error |
資源管理錯誤其他資訊。 |
|
Export |
匯出至工作區數據的其他選項清單。 |
|
Io |
IoT 安全性解決方案設定和資源資訊。 |
|
Recommendation |
建議狀態。 當建議狀態為停用時,不會產生建議。 |
|
Recommendation |
IoT 安全性建議的類型。 |
|
Recommendation |
IoT 安全性建議的類型。 |
|
Security |
IoT 安全性解決方案的狀態。 |
|
system |
與建立和上次修改資源相關的元數據。 |
|
Unmasked |
未遮罩的IP位址記錄狀態 |
|
Update |
|
|
User |
IoT 安全性解決方案使用者定義資源的屬性。 |
AdditionalWorkspaceDataType
傳送至工作區的數據類型清單
| 值 | Description |
|---|---|
| Alerts | |
| RawEvents |
AdditionalWorkspacesProperties
其他工作區的屬性。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| dataTypes |
傳送至工作區的數據類型清單 |
||
| type | Sentinel |
工作區類型。 |
|
| workspace |
string |
工作區資源標識碼 |
AdditionalWorkspaceType
工作區類型。
| 值 | Description |
|---|---|
| Sentinel |
CloudError
所有 Azure Resource Manager API 的常見錯誤回應,以傳回失敗作業的錯誤詳細數據。 (這也遵循 OData 錯誤回應格式。)。
| 名稱 | 類型 | Description |
|---|---|---|
| error.additionalInfo |
錯誤其他資訊。 |
|
| error.code |
string |
錯誤碼。 |
| error.details |
錯誤詳細數據。 |
|
| error.message |
string |
錯誤訊息。 |
| error.target |
string |
錯誤目標。 |
CloudErrorBody
錯誤詳細數據。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤其他資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳細數據。 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
createdByType
建立資源的身分識別類型。
| 值 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DataSource
停用的數據源。 停用這些數據源會危害系統。
| 值 | Description |
|---|---|
| TwinData |
裝置對應項數據 |
ErrorAdditionalInfo
資源管理錯誤其他資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
object |
其他資訊。 |
| type |
string |
其他信息類型。 |
ExportData
匯出至工作區數據的其他選項清單。
| 值 | Description |
|---|---|
| RawEvents |
代理程式原始事件 |
IoTSecuritySolutionModel
IoT 安全性解決方案設定和資源資訊。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| id |
string |
資源標識碼 |
|
| location |
string |
資源位置。 |
|
| name |
string |
資源名稱 |
|
| properties.additionalWorkspaces |
其他工作區的清單 |
||
| properties.autoDiscoveredResources |
string[] |
自動探索到與安全性解決方案相關的資源清單。 |
|
| properties.disabledDataSources |
停用的數據源。 停用這些數據源會危害系統。 |
||
| properties.displayName |
string |
資源顯示名稱。 |
|
| properties.export |
匯出至工作區數據的其他選項清單。 |
||
| properties.iotHubs |
string[] |
IoT 中樞資源標識碼 |
|
| properties.recommendationsConfiguration |
每個建議類型的組態狀態清單。 |
||
| properties.status | Enabled |
IoT 安全性解決方案的狀態。 |
|
| properties.unmaskedIpLoggingStatus | Disabled |
未遮罩的IP位址記錄狀態 |
|
| properties.userDefinedResources |
IoT 安全性解決方案使用者定義資源的屬性。 |
||
| properties.workspace |
string |
工作區資源標識碼 |
|
| systemData |
包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。 |
||
| tags |
object |
資源標籤 |
|
| type |
string |
資源類型 |
RecommendationConfigStatus
建議狀態。 當建議狀態為停用時,不會產生建議。
| 值 | Description |
|---|---|
| Disabled | |
| Enabled |
RecommendationConfigurationProperties
IoT 安全性建議的類型。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| name |
string |
||
| recommendationType |
IoT 安全性建議的類型。 |
||
| status | Enabled |
建議狀態。 當建議狀態為停用時,不會產生建議。 |
RecommendationType
IoT 安全性建議的類型。
| 值 | Description |
|---|---|
| IoT_ACRAuthentication |
用來從 ACR 存放庫提取邊緣模組的驗證架構不會使用服務主體驗證。 |
| IoT_AgentSendsUnutilizedMessages |
IoT 代理程式訊息大小容量目前使用量過低,導致已傳送的訊息數目增加。 調整訊息間隔以提升使用率。 |
| IoT_Baseline |
識別的安全性相關系統設定問題。 |
| IoT_EdgeHubMemOptimize |
您可以關閉解決方案中 Edge 模組未使用之任何通訊協定的通訊協定前端,將 Edge Hub 記憶體使用量優化。 |
| IoT_EdgeLoggingOptions |
此 Edge 模組已停用記錄。 |
| IoT_InconsistentModuleSettings |
裝置安全組內的少數使用者與其群組的其餘部分有不一致的Edge模組設定。 |
| IoT_InstallAgent |
安裝物聯網代理程式的 Azure 安全性。 |
| IoT_IPFilter_DenyAll |
IP 篩選組態應該已針對允許的流量定義規則,且預設應該拒絕所有其他流量。 |
| IoT_IPFilter_PermissiveRule |
允許IP篩選規則來源IP範圍太大。 過度寬鬆的規則可能會將您的IoT中樞公開給惡意意圖者。 |
| IoT_OpenPorts |
在裝置上找到接聽端點。 |
| IoT_PermissiveFirewallPolicy |
找到允許的防火牆原則 (INPUT/OUTPUT)。 原則應預設拒絕所有流量,並定義規則以允許對裝置進行/從裝置進行必要的通訊。 |
| IoT_PermissiveInputFirewallRules |
找到防火牆中的規則,其中包含各種IP位址或埠的寬鬆模式。 |
| IoT_PermissiveOutputFirewallRules |
找到防火牆中的規則,其中包含各種IP位址或埠的寬鬆模式。 |
| IoT_PrivilegedDockerOptions |
Edge 模組設定為以特殊許可權模式執行,具有廣泛的 Linux 功能或主機層級網路存取權(傳送/接收數據至主電腦)。 |
| IoT_SharedCredentials |
與多個裝置所使用的IoT中樞相同的驗證認證。 這可能表示冒充合法裝置的非法裝置。 它也會公開攻擊者模擬裝置的風險。 |
| IoT_VulnerableTLSCipherSuite |
偵測到不安全的 TLS 組態。 建議立即升級。 |
SecuritySolutionStatus
IoT 安全性解決方案的狀態。
| 值 | Description |
|---|---|
| Enabled | |
| Disabled |
systemData
與建立和上次修改資源相關的元數據。
| 名稱 | 類型 | Description |
|---|---|---|
| createdAt |
string (date-time) |
資源建立的時間戳(UTC)。 |
| createdBy |
string |
建立資源的身分識別。 |
| createdByType |
建立資源的身分識別類型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的資源時間戳 (UTC) |
| lastModifiedBy |
string |
上次修改資源的身分識別。 |
| lastModifiedByType |
上次修改資源的身分識別類型。 |
UnmaskedIpLoggingStatus
未遮罩的IP位址記錄狀態
| 值 | Description |
|---|---|
| Disabled |
已停用未遮罩的IP記錄 |
| Enabled |
已啟用未遮罩的IP記錄 |
UpdateIotSecuritySolutionData
| 名稱 | 類型 | Description |
|---|---|---|
| properties.recommendationsConfiguration |
每個建議類型的組態狀態清單。 |
|
| properties.userDefinedResources |
IoT 安全性解決方案使用者定義資源的屬性。 |
|
| tags |
object |
資源標籤 |
UserDefinedResourcesProperties
IoT 安全性解決方案使用者定義資源的屬性。
| 名稱 | 類型 | Description |
|---|---|---|
| query |
string |
Azure Resource Graph 查詢,代表安全性解決方案的使用者定義資源。 開頭為 “where type != ”Microsoft.Devices/IotHubs” |
| querySubscriptions |
string[] pattern: ^[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}$ |
應執行使用者定義資源查詢的 Azure 訂用帳戶標識碼清單。 |